### Struct

# FwupdPlugin StructUswid

since: 1.0

#### Description

    struct FuStructUswid {
      GByteArray* buf;
      guint refcount;
    }

No description available.

###### Structure members

`buf`
  No description available.
`refcount`
  No description available.

Available since: 1.0

#### Functions

###### fu_struct_uswid_new

No description available.

since: 1.0

###### fu_struct_uswid_parse_stream

No description available.

since: 1.0

###### fu_struct_uswid_validate_stream

No description available.

since: 1.0

#### Instance methods

###### fu_struct_uswid_get_compression

No description available.

since: 1.0

###### fu_struct_uswid_get_flags

No description available.

since: 1.0

###### fu_struct_uswid_get_hdrsz

No description available.

since: 1.0

###### fu_struct_uswid_get_hdrver

No description available.

since: 1.0

###### fu_struct_uswid_get_payloadsz

No description available.

since: 1.0

###### fu_struct_uswid_ref

No description available.

since: 1.0

###### fu_struct_uswid_set_compression

No description available.

since: 1.0

###### fu_struct_uswid_set_flags

No description available.

since: 1.0

###### fu_struct_uswid_set_hdrsz

No description available.

since: 1.0

###### fu_struct_uswid_set_hdrver

No description available.

since: 1.0

###### fu_struct_uswid_set_payloadsz

No description available.

since: 1.0

###### fu_struct_uswid_unref

No description available.

since: 1.0